Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.elasticmapreduce.model
Class TerminateJobFlowsRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.elasticmapreduce.model.TerminateJobFlowsRequest

    public class TerminateJobFlowsRequest

extends AmazonWebServiceRequest

Container for the parameters to the `TerminateJobFlows operation`.

TerminateJobFlows shuts a list of job flows down. When a job flow is shut down, any step not yet completed is canceled and the EC2 instances on which the job flow is running are stopped. Any log files not already saved are uploaded to Amazon S3 if a LogUri was specified when the job flow was created.

See Also:
  `AmazonElasticMapReduce.terminateJobFlows(TerminateJobFlowsRequest)`

Constructor Summary
`TerminateJobFlowsRequest()`

Method Summary
`List<String>` | `getJobFlowIds()` A list of job flows to be shutdown.
`void` | `setJobFlowIds(Collection<String> jobFlowIds)` A list of job flows to be shutdown.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`TerminateJobFlowsRequest` | `withJobFlowIds(Collection<String> jobFlowIds)` A list of job flows to be shutdown.
`TerminateJobFlowsRequest` | `withJobFlowIds(String... jobFlowIds)` A list of job flows to be shutdown.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TerminateJobFlowsRequest

    public TerminateJobFlowsRequest()

Method Detail

### getJobFlowIds

    public List<String> getJobFlowIds()

  A list of job flows to be shutdown.

  Returns:
    A list of job flows to be shutdown.

### setJobFlowIds

    public void setJobFlowIds(Collection<String> jobFlowIds)

  A list of job flows to be shutdown.

  Parameters:
    `jobFlowIds` - A list of job flows to be shutdown.

### withJobFlowIds

    public TerminateJobFlowsRequest withJobFlowIds(String... jobFlowIds)

  A list of job flows to be shutdown.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `jobFlowIds` - A list of job flows to be shutdown.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withJobFlowIds

    public TerminateJobFlowsRequest withJobFlowIds(Collection<String> jobFlowIds)

  A list of job flows to be shutdown.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `jobFlowIds` - A list of job flows to be shutdown.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.